Index: trunk/client/modules/Elezioni/grafici/jpgraph.php
===================================================================
--- trunk/client/modules/Elezioni/grafici/jpgraph.php	(revision 264)
+++ trunk/client/modules/Elezioni/grafici/jpgraph.php	(revision 265)
@@ -3003,171 +3340,175 @@
 //===================================================
 class SuperScriptText extends Text {
-    private $iSuper="";
-    private $sfont_family="",$sfont_style="",$sfont_size=8;
+    private $iSuper='';
+    private $sfont_family='',$sfont_style='',$sfont_size=8;
     private $iSuperMargin=2,$iVertOverlap=4,$iSuperScale=0.65;
     private $iSDir=0;
     private $iSimple=false;
 
-    function SuperScriptText($aTxt="",$aSuper="",$aXAbsPos=0,$aYAbsPos=0) {
-	parent::Text($aTxt,$aXAbsPos,$aYAbsPos);
-	$this->iSuper = $aSuper;
+    function __construct($aTxt='',$aSuper='',$aXAbsPos=0,$aYAbsPos=0) {
+        parent::__construct($aTxt,$aXAbsPos,$aYAbsPos);
+        $this->iSuper = $aSuper;
     }
 
     function FromReal($aVal,$aPrecision=2) {
-	// Convert a floating point number to scientific notation
-	$neg=1.0;
-	if( $aVal < 0 ) {
-	    $neg = -1.0;
-	    $aVal = -$aVal;
-	}
-		
-	$l = floor(log10($aVal));
-	$a = sprintf("%0.".$aPrecision."f",round($aVal / pow(10,$l),$aPrecision));
-	$a *= $neg;
-	if( $this->iSimple && ($a == 1 || $a==-1) ) $a = '';
-	
-	if( $a != '' )
-	    $this->t = $a.' * 10';
-	else {
-	    if( $neg == 1 )
-		$this->t = '10';
-	    else
-		$this->t = '-10';
-	}
-	$this->iSuper = $l;
-    }
-
-    function Set($aTxt,$aSuper="") {
-	$this->t = $aTxt;
-	$this->iSuper = $aSuper;
+        // Convert a floating point number to scientific notation
+        $neg=1.0;
+        if( $aVal < 0 ) {
+            $neg = -1.0;
+            $aVal = -$aVal;
+        }
+
+        $l = floor(log10($aVal));
+        $a = sprintf("%0.".$aPrecision."f",round($aVal / pow(10,$l),$aPrecision));
+        $a *= $neg;
+        if( $this->iSimple && ($a == 1 || $a==-1) ) $a = '';
+
+        if( $a != '' ) {
+            $this->t = $a.' * 10';
+        }
+        else {
+            if( $neg == 1 ) {
+                $this->t = '10';
+            }
+            else {
+                $this->t = '-10';
+            }
+        }
+        $this->iSuper = $l;
+    }
+
+    function Set($aTxt,$aSuper='') {
+        $this->t = $aTxt;
+        $this->iSuper = $aSuper;
     }
 
     function SetSuperFont($aFontFam,$aFontStyle=FS_NORMAL,$aFontSize=8) {
-	$this->sfont_family = $aFontFam;
-	$this->sfont_style = $aFontStyle;
-	$this->sfont_size = $aFontSize;
+        $this->sfont_family = $aFontFam;
+        $this->sfont_style = $aFontStyle;
+        $this->sfont_size = $aFontSize;
     }
 
     // Total width of text
     function GetWidth($aImg) {
-	$aImg->SetFont($this->font_family,$this->font_style,$this->font_size);
-	$w = $aImg->GetTextWidth($this->t);
-	$aImg->SetFont($this->sfont_family,$this->sfont_style,$this->sfont_size);
-	$w += $aImg->GetTextWidth($this->iSuper);
-	$w += $this->iSuperMargin;
-	return $w;
-    }
-	
+        $aImg->SetFont($this->font_family,$this->font_style,$this->font_size);
+        $w = $aImg->GetTextWidth($this->t);
+        $aImg->SetFont($this->sfont_family,$this->sfont_style,$this->sfont_size);
+        $w += $aImg->GetTextWidth($this->iSuper);
+        $w += $this->iSuperMargin;
+        return $w;
+    }
+
     // Hight of font (approximate the height of the text)
     function GetFontHeight($aImg) {
-	$aImg->SetFont($this->font_family,$this->font_style,$this->font_size);	
-	$h = $aImg->GetFontHeight();
-	$aImg->SetFont($this->sfont_family,$this->sfont_style,$this->sfont_size);
-	$h += $aImg->GetFontHeight();
-	return $h;
+        $aImg->SetFont($this->font_family,$this->font_style,$this->font_size);
+        $h = $aImg->GetFontHeight();
+        $aImg->SetFont($this->sfont_family,$this->sfont_style,$this->sfont_size);
+        $h += $aImg->GetFontHeight();
+        return $h;
     }
 
     // Hight of text
     function GetTextHeight($aImg) {
-	$aImg->SetFont($this->font_family,$this->font_style,$this->font_size);
-	$h = $aImg->GetTextHeight($this->t);
-	$aImg->SetFont($this->sfont_family,$this->sfont_style,$this->sfont_size);
-	$h += $aImg->GetTextHeight($this->iSuper);
-	return $h;
+        $aImg->SetFont($this->font_family,$this->font_style,$this->font_size);
+        $h = $aImg->GetTextHeight($this->t);
+        $aImg->SetFont($this->sfont_family,$this->sfont_style,$this->sfont_size);
+        $h += $aImg->GetTextHeight($this->iSuper);
+        return $h;
     }
 
     function Stroke($aImg,$ax=-1,$ay=-1) {
-	
+
         // To position the super script correctly we need different
-	// cases to handle the alignmewnt specified since that will
-	// determine how we can interpret the x,y coordinates
-	
-	$w = parent::GetWidth($aImg);
-	$h = parent::GetTextHeight($aImg);
-	switch( $this->valign ) {
-	    case 'top':
-		$sy = $this->y;
-		break;
-	    case 'center':
-		$sy = $this->y - $h/2;
-		break;
-	    case 'bottom':
-		$sy = $this->y - $h;
-		break;
-	    default:
-		JpGraphError::RaiseL(25052);//('PANIC: Internal error in SuperScript::Stroke(). Unknown vertical alignment for text');
-		break;
-	}
-
-	switch( $this->halign ) {
-	    case 'left':
-		$sx = $this->x + $w;
-		break;
-	    case 'center':
-		$sx = $this->x + $w/2;
-		break;
-	    case 'right':
-		$sx = $this->x;
-		break;
-	    default:
-		JpGraphError::RaiseL(25053);//('PANIC: Internal error in SuperScript::Stroke(). Unknown horizontal alignment for text');
-		break;
-	}
-
-	$sx += $this->iSuperMargin;
-	$sy += $this->iVertOverlap;
-
-	// Should we automatically determine the font or
-	// has the user specified it explicetly?
-	if( $this->sfont_family == "" ) {
-	    if( $this->font_family <= FF_FONT2 ) {
-		if( $this->font_family == FF_FONT0 ) {
-		    $sff = FF_FONT0;
-		}
-		elseif( $this->font_family == FF_FONT1 ) {
-		    if( $this->font_style == FS_NORMAL )
-			$sff = FF_FONT0;
-		    else
-			$sff = FF_FONT1;
-		}
-		else {
-		    $sff = FF_FONT1;
-		}
-		$sfs = $this->font_style;
-		$sfz = $this->font_size;
-	    }
-	    else {
-		// TTF fonts
-		$sff = $this->font_family;
-		$sfs = $this->font_style;
-		$sfz = floor($this->font_size*$this->iSuperScale);		
-		if( $sfz < 8 ) $sfz = 8;
-	    }	    
-	    $this->sfont_family = $sff;
-	    $this->sfont_style = $sfs;
-	    $this->sfont_size = $sfz;	    
-	} 
-	else {
-	    $sff = $this->sfont_family;
-	    $sfs = $this->sfont_style;
-	    $sfz = $this->sfont_size;	    
-	}
-
-	parent::Stroke($aImg,$ax,$ay);
-
-
-	// For the builtin fonts we need to reduce the margins
-	// since the bounding bx reported for the builtin fonts
-	// are much larger than for the TTF fonts.
-	if( $sff <= FF_FONT2 ) {
-	    $sx -= 2;
-	    $sy += 3;
-	}
-
-	$aImg->SetTextAlign('left','bottom');	
-	$aImg->SetFont($sff,$sfs,$sfz);
-	$aImg->PushColor($this->color);	
-	$aImg->StrokeText($sx,$sy,$this->iSuper,$this->iSDir,'left');
-	$aImg->PopColor();	
+        // cases to handle the alignmewnt specified since that will
+        // determine how we can interpret the x,y coordinates
+
+        $w = parent::GetWidth($aImg);
+        $h = parent::GetTextHeight($aImg);
+        switch( $this->valign ) {
+            case 'top':
+                $sy = $this->y;
+                break;
+            case 'center':
+                $sy = $this->y - $h/2;
+                break;
+            case 'bottom':
+                $sy = $this->y - $h;
+                break;
+            default:
+                JpGraphError::RaiseL(25052);//('PANIC: Internal error in SuperScript::Stroke(). Unknown vertical alignment for text');
+                break;
+        }
+
+        switch( $this->halign ) {
+            case 'left':
+                $sx = $this->x + $w;
+                break;
+            case 'center':
+                $sx = $this->x + $w/2;
+                break;
+            case 'right':
+                $sx = $this->x;
+                break;
+            default:
+                JpGraphError::RaiseL(25053);//('PANIC: Internal error in SuperScript::Stroke(). Unknown horizontal alignment for text');
+                break;
+        }
+
+        $sx += $this->iSuperMargin;
+        $sy += $this->iVertOverlap;
+
+        // Should we automatically determine the font or
+        // has the user specified it explicetly?
+        if( $this->sfont_family == '' ) {
+            if( $this->font_family <= FF_FONT2 ) {
+                if( $this->font_family == FF_FONT0 ) {
+                    $sff = FF_FONT0;
+                }
+                elseif( $this->font_family == FF_FONT1 ) {
+                    if( $this->font_style == FS_NORMAL ) {
+                        $sff = FF_FONT0;
+                    }
+                    else {
+                        $sff = FF_FONT1;
+                    }
+                }
+                else {
+                    $sff = FF_FONT1;
+                }
+                $sfs = $this->font_style;
+                $sfz = $this->font_size;
+            }
+            else {
+                // TTF fonts
+                $sff = $this->font_family;
+                $sfs = $this->font_style;
+                $sfz = floor($this->font_size*$this->iSuperScale);
+                if( $sfz < 8 ) $sfz = 8;
+            }
+            $this->sfont_family = $sff;
+            $this->sfont_style = $sfs;
+            $this->sfont_size = $sfz;
+        }
+        else {
+            $sff = $this->sfont_family;
+            $sfs = $this->sfont_style;
+            $sfz = $this->sfont_size;
+        }
+
+        parent::Stroke($aImg,$ax,$ay);
+
+        // For the builtin fonts we need to reduce the margins
+        // since the bounding bx reported for the builtin fonts
+        // are much larger than for the TTF fonts.
+        if( $sff <= FF_FONT2 ) {
+            $sx -= 2;
+            $sy += 3;
+        }
+
+        $aImg->SetTextAlign('left','bottom');
+        $aImg->SetFont($sff,$sfs,$sfz);
+        $aImg->PushColor($this->color);
+        $aImg->StrokeText($sx,$sy,$this->iSuper,$this->iSDir,'left');
+        $aImg->PopColor();
     }
 }
@@ -3181,142 +3522,138 @@
     protected $img;
     protected $scale;
-    protected $grid_color='#DDDDDD',$grid_mincolor='#DDDDDD';
-    protected $type="solid";
-    protected $show=false, $showMinor=false,$weight=1;
+    protected $majorcolor='#CCCCCC',$minorcolor='#DDDDDD';
+    protected $majortype='solid',$minortype='solid';
+    protected $show=false, $showMinor=false,$majorweight=1,$minorweight=1;
     protected $fill=false,$fillcolor=array('#EFEFEF','#BBCCFF');
-//---------------
-// CONSTRUCTOR
-    function Grid($aAxis) {
-	$this->scale = $aAxis->scale;
-	$this->img = $aAxis->img;
-    }
-//---------------
-// PUBLIC METHODS
+
+    function __construct($aAxis) {
+        $this->scale = $aAxis->scale;
+        $this->img = $aAxis->img;
+    }
+
     function SetColor($aMajColor,$aMinColor=false) {
-	$this->grid_color=$aMajColor;
-	if( $aMinColor === false ) 
-	    $aMinColor = $aMajColor ;
-	$this->grid_mincolor = $aMinColor;
-    }
-	
-    function SetWeight($aWeight) {
-	$this->weight=$aWeight;
-    }
-	
+        $this->majorcolor=$aMajColor;
+        if( $aMinColor === false ) {
+            $aMinColor = $aMajColor ;
+        }
+        $this->minorcolor = $aMinColor;
+    }
+
+    function SetWeight($aMajorWeight,$aMinorWeight=1) {
+        $this->majorweight=$aMajorWeight;
+        $this->minorweight=$aMinorWeight;
+    }
+
     // Specify if grid should be dashed, dotted or solid
-    function SetLineStyle($aType) {
-	$this->type = $aType;
-    }
-	
+    function SetLineStyle($aMajorType,$aMinorType='solid') {
+        $this->majortype = $aMajorType;
+        $this->minortype = $aMinorType;
+    }
+
+    function SetStyle($aMajorType,$aMinorType='solid') {
+        $this->SetLineStyle($aMajorType,$aMinorType);
+    }
+
     // Decide if both major and minor grid should be displayed
     function Show($aShowMajor=true,$aShowMinor=false) {
-	$this->show=$aShowMajor;
-	$this->showMinor=$aShowMinor;
-    }
-    
+        $this->show=$aShowMajor;
+        $this->showMinor=$aShowMinor;
+    }
+
     function SetFill($aFlg=true,$aColor1='lightgray',$aColor2='lightblue') {
-	$this->fill = $aFlg;
-	$this->fillcolor = array( $aColor1, $aColor2 );
-    }
-	
+        $this->fill = $aFlg;
+        $this->fillcolor = array( $aColor1, $aColor2 );
+    }
+
     // Display the grid
     function Stroke() {
-	if( $this->showMinor && !$this->scale->textscale ) {
-	    $tmp = $this->grid_color;
-	    $this->grid_color = $this->grid_mincolor;
-	    $this->DoStroke($this->scale->ticks->ticks_pos);
-
-	    $this->grid_color = $tmp;
-	    $this->DoStroke($this->scale->ticks->maj_ticks_pos);
-	}
-	else {
-	    $this->DoStroke($this->scale->ticks->maj_ticks_pos);
-	}
-    }
-	
-//--------------
-// Private methods	
+        if( $this->showMinor && !$this->scale->textscale ) {
+            $this->DoStroke($this->scale->ticks->ticks_pos,$this->minortype,$this->minorcolor,$this->minorweight);
+            $this->DoStroke($this->scale->ticks->maj_ticks_pos,$this->majortype,$this->majorcolor,$this->majorweight);
+        }
+        else {
+            $this->DoStroke($this->scale->ticks->maj_ticks_pos,$this->majortype,$this->majorcolor,$this->majorweight);
+        }
+    }
+
+    //--------------
+    // Private methods
     // Draw the grid
-    function DoStroke($aTicksPos) {
-	if( !$this->show )
-	    return;	
-	$nbrgrids = count($aTicksPos);	
-
-	if( $this->scale->type=="y" ) {
-	    $xl=$this->img->left_margin;
-	    $xr=$this->img->width-$this->img->right_margin;
-	    
-	    if( $this->fill ) {
-		// Draw filled areas
-		$y2 = $aTicksPos[0];
-		$i=1;
-		while( $i < $nbrgrids ) {
-		    $y1 = $y2;
-		    $y2 = $aTicksPos[$i++];
-		    $this->img->SetColor($this->fillcolor[$i & 1]);
-		    $this->img->FilledRectangle($xl,$y1,$xr,$y2);
-		}
-	    }
-
-	    $this->img->SetColor($this->grid_color);
-	    $this->img->SetLineWeight($this->weight);
-
-	    // Draw grid lines
-	    switch( $this->type ) {
-		case "solid":  $style = LINESTYLE_SOLID; break;
-		case "dotted": $style = LINESTYLE_DOTTED; break;
-		case "dashed": $style = LINESTYLE_DASHED; break;
-		case "longdashed": $style = LINESTYLE_LONGDASH; break;
-		default:
-		    $style = LINESTYLE_SOLID; break;
-	    }
-
-	    for($i=0; $i < $nbrgrids; ++$i) {
-		$y=$aTicksPos[$i];
-		$this->img->StyleLine($xl,$y,$xr,$y,$style);
-	    }
-	}
-	elseif( $this->scale->type=="x" ) {	
-	    $yu=$this->img->top_margin;
-	    $yl=$this->img->height-$this->img->bottom_margin;
-	    $limit=$this->img->width-$this->img->right_margin;
-
-	    if( $this->fill ) {
-		// Draw filled areas
-		$x2 = $aTicksPos[0];
-		$i=1;
-		while( $i < $nbrgrids ) {
-		    $x1 = $x2;
-		    $x2 = min($aTicksPos[$i++],$limit) ;
-		    $this->img->SetColor($this->fillcolor[$i & 1]);
-		    $this->img->FilledRectangle($x1,$yu,$x2,$yl);
-		}
-	    }
-
-	    $this->img->SetColor($this->grid_color);
-	    $this->img->SetLineWeight($this->weight);
-
-	    // We must also test for limit since we might have
-	    // an offset and the number of ticks is calculated with
-	    // assumption offset==0 so we might end up drawing one
-	    // to many gridlines
-	    $i=0;
-	    $x=$aTicksPos[$i];	    
-	    while( $i<count($aTicksPos) && ($x=$aTicksPos[$i]) <= $limit ) {
-		if( $this->type == "solid" )				
-		    $this->img->Line($x,$yl,$x,$yu);
-		elseif( $this->type == "dotted" )
-		    $this->img->DashedLine($x,$yl,$x,$yu,1,6);
-		elseif( $this->type == "dashed" )
-		    $this->img->DashedLine($x,$yl,$x,$yu,2,4);
-		elseif( $this->type == "longdashed" )
-		    $this->img->DashedLine($x,$yl,$x,$yu,8,6);	
-		++$i;  
-	    }
-	}	
-	else {
-	    JpGraphError::RaiseL(25054,$this->scale->type);//('Internal error: Unknown grid axis ['.$this->scale->type.']');
-	}
-	return true;
+    function DoStroke($aTicksPos,$aType,$aColor,$aWeight) {
+        if( !$this->show ) return;
+        $nbrgrids = count($aTicksPos);
+
+        if( $this->scale->type == 'y' ) {
+            $xl=$this->img->left_margin;
+            $xr=$this->img->width-$this->img->right_margin;
+
+            if( $this->fill ) {
+                // Draw filled areas
+                $y2 = !empty($aTicksPos) ? $aTicksPos[0] : null;
+                $i=1;
+                while( $i < $nbrgrids ) {
+                    $y1 = $y2;
+                    $y2 = $aTicksPos[$i++];
+                    $this->img->SetColor($this->fillcolor[$i & 1]);
+                    $this->img->FilledRectangle($xl,$y1,$xr,$y2);
+                }
+            }
+
+            $this->img->SetColor($aColor);
+            $this->img->SetLineWeight($aWeight);
+
+            // Draw grid lines
+            switch( $aType ) {
+                case 'solid':  $style = LINESTYLE_SOLID; break;
+                case 'dotted': $style = LINESTYLE_DOTTED; break;
+                case 'dashed': $style = LINESTYLE_DASHED; break;
+                case 'longdashed': $style = LINESTYLE_LONGDASH; break;
+                default:
+                    $style = LINESTYLE_SOLID; break;
+            }
+
+            for($i=0; $i < $nbrgrids; ++$i) {
+                $y=$aTicksPos[$i];
+                $this->img->StyleLine($xl,$y,$xr,$y,$style,true);
+            }
+        }
+        elseif( $this->scale->type == 'x' ) {
+            $yu=$this->img->top_margin;
+            $yl=$this->img->height-$this->img->bottom_margin;
+            $limit=$this->img->width-$this->img->right_margin;
+
+            if( $this->fill ) {
+                // Draw filled areas
+                $x2 = $aTicksPos[0];
+                $i=1;
+                while( $i < $nbrgrids ) {
+                    $x1 = $x2;
+                    $x2 = min($aTicksPos[$i++],$limit) ;
+                    $this->img->SetColor($this->fillcolor[$i & 1]);
+                    $this->img->FilledRectangle($x1,$yu,$x2,$yl);
+                }
+            }
+
+            $this->img->SetColor($aColor);
+            $this->img->SetLineWeight($aWeight);
+
+            // We must also test for limit since we might have
+            // an offset and the number of ticks is calculated with
+            // assumption offset==0 so we might end up drawing one
+            // to many gridlines
+            $i=0;
+            $x=$aTicksPos[$i];
+            while( $i<count($aTicksPos) && ($x=$aTicksPos[$i]) <= $limit ) {
+                if    ( $aType == 'solid' )      $this->img->Line($x,$yl,$x,$yu);
+                elseif( $aType == 'dotted' )     $this->img->DashedLineForGrid($x,$yl,$x,$yu,1,6);
+                elseif( $aType == 'dashed' )     $this->img->DashedLineForGrid($x,$yl,$x,$yu,2,4);
+                elseif( $aType == 'longdashed' ) $this->img->DashedLineForGrid($x,$yl,$x,$yu,8,6);
+                ++$i;
+            }
+        }
+        else {
+            JpGraphError::RaiseL(25054,$this->scale->type);//('Internal error: Unknown grid axis ['.$this->scale->type.']');
+        }
+        return true;
     }
 } // Class
@@ -3328,12 +3665,12 @@
 // several occasion must know wheter it's an X or Y axis.
 // This was a design decision to make the code easier to
-// follow. 
+// follow.
 //===================================================
 class AxisPrototype {
-    public $scale=null; 
+    public $scale=null;
     public $img=null;
     public $hide=false,$hide_labels=false;
     public $title=null;
-    public $font_family=FF_FONT1,$font_style=FS_NORMAL,$font_size=12,$label_angle=0;
+    public $font_family=FF_DEFAULT,$font_style=FS_NORMAL,$font_size=8,$label_angle=0;
     public $tick_step=1;
     public $pos = false;
@@ -3348,224 +3685,194 @@
     protected $labelPos=0;   // Which side of the axis should the labels be?
     protected $title_adjust,$title_margin,$title_side=SIDE_LEFT;
-    protected $tick_label_margin=7;
+    protected $tick_label_margin=5;
     protected $label_halign = '',$label_valign = '', $label_para_align='left';
     protected $hide_line=false;
     protected $iDeltaAbsPos=0;
 
-//---------------
-// CONSTRUCTOR
-    function Axis($img,$aScale,$color=array(0,0,0)) {
-	$this->img = $img;
-	$this->scale = $aScale;
-	$this->color = $color;
-	$this->title=new Text("");
-		
-	if( $aScale->type=="y" ) {
-	    $this->title_margin = 25;
-	    $this->title_adjust="middle";
-	    $this->title->SetOrientation(90);
-	    $this->tick_label_margin=7;
-	    $this->labelPos=SIDE_LEFT;
-	}
-	else {
-	    $this->title_margin = 5;
-	    $this->title_adjust="high";
-	    $this->title->SetOrientation(0);			
-	    $this->tick_label_margin=7;
-	    $this->labelPos=SIDE_DOWN;
-	    $this->title_side=SIDE_DOWN;
-	}
-    }
-//---------------
-// PUBLIC METHODS	
-	
+    function __construct($img,$aScale,$color = array(0,0,0)) {
+        $this->img = $img;
+        $this->scale = $aScale;
+        $this->color = $color;
+        $this->title=new Text('');
+
+        if( $aScale->type == 'y' ) {
+            $this->title_margin = 25;
+            $this->title_adjust = 'middle';
+            $this->title->SetOrientation(90);
+            $this->tick_label_margin=7;
+            $this->labelPos=SIDE_LEFT;
+        }
+        else {
+            $this->title_margin = 5;
+            $this->title_adjust = 'high';
+            $this->title->SetOrientation(0);
+            $this->tick_label_margin=5;
+            $this->labelPos=SIDE_DOWN;
+            $this->title_side=SIDE_DOWN;
+        }
+    }
+
     function SetLabelFormat($aFormStr) {
-	$this->scale->ticks->SetLabelFormat($aFormStr);
+        $this->scale->ticks->SetLabelFormat($aFormStr);
     }
 
     function SetLabelFormatString($aFormStr,$aDate=false) {
-	$this->scale->ticks->SetLabelFormat($aFormStr,$aDate);
-    }
-	
+        $this->scale->ticks->SetLabelFormat($aFormStr,$aDate);
+    }
+
     function SetLabelFormatCallback($aFuncName) {
-	$this->scale->ticks->SetFormatCallback($aFuncName);
-    }
-
-    function SetLabelAlign($aHAlign,$aVAlign="top",$aParagraphAlign='left') {
-	$this->label_halign = $aHAlign;
-	$this->label_valign = $aVAlign;
-	$this->label_para_align = $aParagraphAlign;
-    }		
+        $this->scale->ticks->SetFormatCallback($aFuncName);
+    }
+
+    function SetLabelAlign($aHAlign,$aVAlign='top',$aParagraphAlign='left') {
+        $this->label_halign = $aHAlign;
+        $this->label_valign = $aVAlign;
+        $this->label_para_align = $aParagraphAlign;
+    }
 
     // Don't display the first label
     function HideFirstTickLabel($aShow=false) {
-	$this->show_first_label=$aShow;
+        $this->show_first_label=$aShow;
     }
 
     function HideLastTickLabel($aShow=false) {
-	$this->show_last_label=$aShow;
+        $this->show_last_label=$aShow;
     }
 
     // Manually specify the major and (optional) minor tick position and labels
     function SetTickPositions($aMajPos,$aMinPos=NULL,$aLabels=NULL) {
-	$this->scale->ticks->SetTickPositions($aMajPos,$aMinPos,$aLabels);
+        $this->scale->ticks->SetTickPositions($aMajPos,$aMinPos,$aLabels);
     }
 
     // Manually specify major tick positions and optional labels
     function SetMajTickPositions($aMajPos,$aLabels=NULL) {
-	$this->scale->ticks->SetTickPositions($aMajPos,NULL,$aLabels);
+        $this->scale->ticks->SetTickPositions($aMajPos,NULL,$aLabels);
     }
 
     // Hide minor or major tick marks
     function HideTicks($aHideMinor=true,$aHideMajor=true) {
-	$this->scale->ticks->SupressMinorTickMarks($aHideMinor);
-	$this->scale->ticks->SupressTickMarks($aHideMajor);
+        $this->scale->ticks->SupressMinorTickMarks($aHideMinor);
+        $this->scale->ticks->SupressTickMarks($aHideMajor);
     }
 
     // Hide zero label
     function HideZeroLabel($aFlag=true) {
-	$this->scale->ticks->SupressZeroLabel();
-    }
-	
+        $this->scale->ticks->SupressZeroLabel();
+    }
+
     function HideFirstLastLabel() {
-	// The two first calls to ticks method will supress 
-	// automatically generated scale values. However, that
-	// will not affect manually specified value, e.g text-scales.
-	// therefor we also make a kludge here to supress manually
-	// specified scale labels.
-	$this->scale->ticks->SupressLast();
-	$this->scale->ticks->SupressFirst();
-	$this->show_first_label	= false;
-	$this->show_last_label = false;
-    }
-	
+        // The two first calls to ticks method will supress
+        // automatically generated scale values. However, that
+        // will not affect manually specified value, e.g text-scales.
+        // therefor we also make a kludge here to supress manually
+        // specified scale labels.
+        $this->scale->ticks->SupressLast();
+        $this->scale->ticks->SupressFirst();
+        $this->show_first_label = false;
+        $this->show_last_label = false;
+    }
+
     // Hide the axis
     function Hide($aHide=true) {
-	$this->hide=$aHide;
+        $this->hide=$aHide;
     }
 
     // Hide the actual axis-line, but still print the labels
     function HideLine($aHide=true) {
-	$this->hide_line = $aHide;
+        $this->hide_line = $aHide;
     }
 
     function HideLabels($aHide=true) {
-	$this->hide_labels = $aHide;
-    }
-    
+        $this->hide_labels = $aHide;
+    }
 
     // Weight of axis
     function SetWeight($aWeight) {
-	$this->weight = $aWeight;
+        $this->weight = $aWeight;
     }
 
     // Axis color
     function SetColor($aColor,$aLabelColor=false) {
-	$this->color = $aColor;
-	if( !$aLabelColor ) $this->label_color = $aColor;
-	else $this->label_color = $aLabelColor;
-    }
-	
+        $this->color = $aColor;
+        if( !$aLabelColor ) $this->label_color = $aColor;
+        else $this->label_color = $aLabelColor;
+    }
+
     // Title on axis
-    function SetTitle($aTitle,$aAdjustAlign="high") {
-	$this->title->Set($aTitle);
-	$this->title_adjust=$aAdjustAlign;
-    }
-	
+    function SetTitle($aTitle,$aAdjustAlign='high') {
+        $this->title->Set($aTitle);
+        $this->title_adjust=$aAdjustAlign;
+    }
+
     // Specify distance from the axis
     function SetTitleMargin($aMargin) {
-	$this->title_margin=$aMargin;
-    }
-	
+        $this->title_margin=$aMargin;
+    }
+
     // Which side of the axis should the axis title be?
     function SetTitleSide($aSideOfAxis) {
-	$this->title_side = $aSideOfAxis;
-    }
-
-    // Utility function to set the direction for tick marks
-    function SetTickDirection($aDir) {
-    	// Will be deprecated from 1.7    	
-    	if( ERR_DEPRECATED )
-	    JpGraphError::RaiseL(25055);//('Axis::SetTickDirection() is deprecated. Use Axis::SetTickSide() instead');
-	$this->scale->ticks->SetSide($aDir);
-    }
-    
+        $this->title_side = $aSideOfAxis;
+    }
+
     function SetTickSide($aDir) {
-	$this->scale->ticks->SetSide($aDir);
-    }
-	
+        $this->scale->ticks->SetSide($aDir);
+    }
+
+    function SetTickSize($aMajSize,$aMinSize=3) {
+        $this->scale->ticks->SetSize($aMajSize,$aMinSize=3);
+    }
+
     // Specify text labels for the ticks. One label for each data point
     function SetTickLabels($aLabelArray,$aLabelColorArray=null) {
-	$this->ticks_label = $aLabelArray;
-	$this->ticks_label_colors = $aLabelColorArray;
-    }
-	
-    // How far from the axis should the labels be drawn
-    function SetTickLabelMargin($aMargin) {
-	if( ERR_DEPRECATED )    	
-	    JpGraphError::RaiseL(25056);//('SetTickLabelMargin() is deprecated. Use Axis::SetLabelMargin() instead.');
-      	$this->tick_label_margin=$aMargin;
+        $this->ticks_label = $aLabelArray;
+        $this->ticks_label_colors = $aLabelColorArray;
     }
 
     function SetLabelMargin($aMargin) {
-	$this->tick_label_margin=$aMargin;
-    }
-	
+        $this->tick_label_margin=$aMargin;
+    }
+
     // Specify that every $step of the ticks should be displayed starting
     // at $start
-    // DEPRECATED FUNCTION: USE SetTextTickInterval() INSTEAD
-    function SetTextTicks($step,$start=0) {
-	JpGraphError::RaiseL(25057);//(" SetTextTicks() is deprecated. Use SetTextTickInterval() instead.");		
-    }
-
-    // Specify that every $step of the ticks should be displayed starting
-    // at $start	
     function SetTextTickInterval($aStep,$aStart=0) {
-	$this->scale->ticks->SetTextLabelStart($aStart);
-	$this->tick_step=$aStep;
-    }
-	 
-    // Specify that every $step tick mark should have a label 
+        $this->scale->ticks->SetTextLabelStart($aStart);
+        $this->tick_step=$aStep;
+    }
+
+    // Specify that every $step tick mark should have a label
     // should be displayed starting
     function SetTextLabelInterval($aStep) {
-	if( $aStep < 1 )
-	    JpGraphError::RaiseL(25058);//(" Text label interval must be specified >= 1.");
-	$this->label_step=$aStep;
-    }
-	
-    // Which side of the axis should the labels be on?
-    function SetLabelPos($aSidePos) {
-    	// This will be deprecated from 1.7
-	if( ERR_DEPRECATED )    	
-	    JpGraphError::RaiseL(25059);//('SetLabelPos() is deprecated. Use Axis::SetLabelSide() instead.');
-	$this->labelPos=$aSidePos;
-    }
-    
+        if( $aStep < 1 ) {
+            JpGraphError::RaiseL(25058);//(" Text label interval must be specified >= 1.");
+        }
+        $this->label_step=$aStep;
+    }
+
     function SetLabelSide($aSidePos) {
-	$this->labelPos=$aSidePos;
+        $this->labelPos=$aSidePos;
     }
 
     // Set the font
     function SetFont($aFamily,$aStyle=FS_NORMAL,$aSize=10) {
-	$this->font_family = $aFamily;
-	$this->font_style = $aStyle;
-	$this->font_size = $aSize;
+        $this->font_family = $aFamily;
+        $this->font_style = $aStyle;
+        $this->font_size = $aSize;
     }
 
     // Position for axis line on the "other" scale
     function SetPos($aPosOnOtherScale) {
-	$this->pos=$aPosOnOtherScale;
-    }
-
-    // Set the position of the axis to be X-pixels delta to the right 
+        $this->pos=$aPosOnOtherScale;
+    }
+
+    // Set the position of the axis to be X-pixels delta to the right
     // of the max X-position (used to position the multiple Y-axis)
     function SetPosAbsDelta($aDelta) {
-      $this->iDeltaAbsPos=$aDelta;
-    }
-	
+        $this->iDeltaAbsPos=$aDelta;
+    }
+
     // Specify the angle for the tick labels
     function SetLabelAngle($aAngle) {
-	$this->label_angle = $aAngle;
-    }	
+        $this->label_angle = $aAngle;
+    }
 
 } // Class
